import { db } from 'src/lib/db'

export const artikels = () => {
  return db.artikel.findMany()
}

export const artikel = ({ id }) => {
  return db.artikel.findUnique({
    where: { id },
  })
}

export const createArtikel = ({ input }) => {
  return db.artikel.create({
    data: input,
  })
}

export const updateArtikel = ({ id, input }) => {
  return db.artikel.update({
    data: input,
    where: { id },
  })
}

export const deleteArtikel = ({ id }) => {
  return db.artikel.delete({
    where: { id },
  })
}

export const Artikel = {
  kategorie: (_obj, { root }) => {
    return db.artikel.findUnique({ where: { id: root?.id } }).kategorie()
  },
  kaeufe: (_obj, { root }) => {
    return db.artikel.findUnique({ where: { id: root?.id } }).kaeufe()
  },
}
